/* rmap - vector based global map generating program
 * Copyright (C) 2000 Reza Naima <reza@reza.net>
 *
 * http://www.reza.net/rmap/
 *
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 */

#ifndef __CITIES_H__
#define __CITIES_H__

struct city
{
	double latitude;
	double longitude;
	char*  name;
};

struct city cities[] = {
	{61.17,-150.00,"Anchorage"},
	{38.00,23.73,"Athens"},
	{33.4,44.4,"Baghdad"},
	{13.73,100.50,"Bangkok"},
	{39.92,116.43,"Beijing"},
	{52.53,13.42,"Berlin"},
	{32.3,-64.7,"Bermuda"},
	{42.33,-71.08,"Boston"},
	{-15.8,-47.9,"Brasilia"},
	{-4.2,15.3,"Brazzaville"},
	{-34.67,-58.50,"Buenos Aires"},
	{31.05,31.25,"Cairo"},
	{22.5,88.3,"Calcutta"},
	{-33.93,18.47,"Cape Town"},
	{33.6,-7.6,"Casablanca"},
	{41.83,-87.75,"Chicago"},
	{32.78,-96.80,"Dallas"},
	{28.63,77.20,"New Delhi"},
	{39.75,-105.00,"Denver"},
	{24.23,55.28,"Dubai"},
	{-27.1,-109.4,"Easter Island"},
	{-18.0,178.1,"Fiji"},
	{13.5,144.8,"Guam"},
	{60.13,25.00,"Helsinki"},
	{22.2,114.1,"Hong Kong"},
	{21.32,-157.83,"Honolulu"},
	{52.2,104.3,"Irkutsk"},
	{41.0,29.0,"Istanbul"},
	{-6.13,106.75,"Jakarta"},
	{31.8,35.2,"Jerusalem"},
	{34.5,69.2,"Kabul"},
	{27.7,85.3,"Kathmandu"},
	{50.4,30.5,"Kiev"},
	{3.13,101.70,"Kuala Lumpur"},
	{6.45,3.47,"Lagos"},
	{-12.10,-77.05,"Lima"},
	{51.50,-0.17,"London"},
	{40.42,-3.72,"Madrid"},
	{14.6,121.0,"Manila"},
	{21.5,39.8,"Mecca"},
	{19.4,-99.1,"Mexico City"},
	{25.8,-80.2,"Miami"},
	{6.2,-10.8,"Monrovia"},
	{45.5,-73.5,"Montreal"},
	{55.75,37.70,"Moscow"},
	{-1.28,36.83,"Nairobi"},
	{59.93,10.75,"Oslo"},
	{48.87,2.33,"Paris"},
	{-32.0,115.9,"Perth"},
	{45.5,-122.5,"Portland"},
	{-0.2,-78.5,"Quito"},
	{64.15,-21.97,"Reykjavik"},
	{-22.88,-43.28,"Rio de Janeiro"},
	{41.88,12.50,"Rome"},
	{11.0,106.7,"Ho Chi Minh City"},
	{37.75,-122.45,"San Francisco"},
	{9.98,-84.07,"San Jose"},
	{18.5,-66.1,"San Juan"},
	{-33.5,-70.7,"Santiago"},
	{1.2,103.9,"Singapore"},
	{42.67,23.30,"Sofia"},
	{59.33,18.08,"Stockholm"},
	{-33.92,151.17,"Sydney"},
	{-17.6,-149.5,"Tahiti"},
	{16.8,-3.0,"Timbuktu"},
	{35.67,139.75,"Tokyo"},
	{43.70,-79.42,"Toronto"},
	{32.9,13.2,"Tripoli"},
	{47.9,106.9,"Ulan Bator"},
	{49.22,-123.10,"Vancouver"},
	{48.22,16.37,"Vienna"},
	{38.9,-77.0,"Washington"},
	{-41.28,174.78,"Wellington"},
	{62.5,-114.3,"Yellowknife"},
	{90.00,0.00,"North Pole"},
	{-90.00,0.00,"South Pole"},
	{0.0, 0.0, NULL}
};

#endif
